package com.ynet.life.sujrb.action;

import com.ibm.icu.text.SimpleDateFormat;
import com.itextpdf.text.Chunk;
import com.itextpdf.text.Document;
import com.itextpdf.text.DocumentException;
import com.itextpdf.text.Font;
import com.itextpdf.text.PageSize;
import com.itextpdf.text.Paragraph;
import com.itextpdf.text.pdf.BaseFont;
import com.itextpdf.text.pdf.PdfPCell;
import com.itextpdf.text.pdf.PdfPTable;
import com.itextpdf.text.pdf.PdfWriter;
import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import com.ynet.life.file.LifeFile;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Date;
import java.util.Random;
import org.apache.commons.lang.StringUtils;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/GenerateMultiplePDFsAction.class */
public class GenerateMultiplePDFsAction extends LifeAction {
    private String destSrcFiled;
    private String pdfType;
    private String pdfDataList;
    private String downloadFilePath;
    private String downloadSheetNo;
    private final String FILE_TYPE = ".pdf";

    public String execute(Context context) throws GENEException {
        String nameDis;
        IndexedCollection iColl = (IndexedCollection) context.getDataElement(this.pdfDataList);
        String sheetNo = (String) context.getDataValue(this.downloadSheetNo);
        String sheetPath = (String) context.getDataValue("confirmSheetPath");
        String orgName = (String) context.getDataValue("orgName");
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy");
        Date dataYear = new Date();
        String year = sdf.format(dataYear);
        if (StringUtils.isNotBlank(sheetPath)) {
            int y1 = sheetPath.indexOf("（");
            int y2 = sheetPath.indexOf("）");
            year = sheetPath.substring(y1 + 1, y2);
            int s1 = sheetPath.lastIndexOf("（");
            int s2 = sheetPath.lastIndexOf("）");
            sheetNo = sheetPath.substring(s1 + 1, s2);
        }
        if (this.pdfType.equals("0")) {
            sheetNo = String.format("%06d", Integer.valueOf(Integer.parseInt(sheetNo)));
            nameDis = String.valueOf(orgName) + "信保贷（";
        } else {
            nameDis = "信保贷（";
        }
        String fileName = String.valueOf(nameDis) + year + "）第（" + sheetNo + "）号.pdf";
        String rootPath = LifeStandard.getSelfDefineSettingsValue("tempDownloadDir");
        String folder = String.valueOf(LifeStandard.getServerTime("yyyyMMddHHmmssSSS")) + new Random().nextInt(1000000000) + LifeFile.DIR_SEPARATOR;
        LifeFile.makeMultiDirectory(rootPath, folder);
        String fileSrc = String.valueOf(rootPath) + folder + fileName;
        buildPDF(iColl, fileSrc, sheetNo, year);
        context.put(this.downloadFilePath, fileSrc);
        return "0";
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v0, types: [java.lang.String] */
    /* JADX WARN: Type inference failed for: r0v1, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v11 */
    /* JADX WARN: Type inference failed for: r0v12 */
    /* JADX WARN: Type inference failed for: r0v8 */
    public String buildPDF(IndexedCollection indexedCollection, String str, String str2, String str3) {
        ?? r0 = "";
        String str4 = "";
        try {
            if (this.pdfType.equals("0")) {
                String createPDFWithChineseForCB = createPDFWithChineseForCB(indexedCollection, str, str2, str3);
                str4 = createPDFWithChineseForCB;
                r0 = createPDFWithChineseForCB;
            } else {
                String createPDFWithChineseForXB = createPDFWithChineseForXB(indexedCollection, str, str2, str3);
                str4 = createPDFWithChineseForXB;
                r0 = createPDFWithChineseForXB;
            }
        } catch (Exception e) {
            r0.printStackTrace();
        }
        return str4;
    }

    public String createPDFWithChineseForXB(IndexedCollection iColl, String destSrc, String sheetNo, String year) throws Exception {
        new KeyedCollection();
        if (iColl.size() <= 0) {
            Trace.log("LifeFile", "信保额度确认函集合数据异常iColl.size() < 0");
            throw new Exception("信保额度确认函集合数据异常iColl.size() < 0");
        }
        KeyedCollection kColl = iColl.getElementAt(0);
        Document document = new Document(PageSize.A4, 80.0f, 80.0f, 60.0f, 10.0f);
        PdfWriter pdfw = null;
        try {
            try {
                try {
                    pdfw = PdfWriter.getInstance(document, new FileOutputStream(destSrc));
                    document.open();
                    BaseFont bfChi = BaseFont.createFont("STSong-Light", "UniGB-UCS2-H", false);
                    Font fontChi_nl_12 = new Font(bfChi, 12.0f, 0);
                    Font fontChi_nl_14 = new Font(bfChi, 14.0f, 0);
                    Font fontChi_bd = new Font(bfChi, 16.0f, 1);
                    new Font(bfChi, 12.0f, 4);
                    Font fontChi_bd_ul_14 = new Font(bfChi, 14.0f, 4);
                    Paragraph prh = new Paragraph();
                    prh.setAlignment(0);
                    prh.setSpacingAfter(15.0f);
                    document.add(prh);
                    Paragraph prh2 = new Paragraph("信保额度确认函", fontChi_bd);
                    prh2.setAlignment(1);
                    prh2.setSpacingAfter(8.0f);
                    document.add(prh2);
                    Paragraph prh3 = new Paragraph("编号：          苏再担“信保贷”（  " + year + "  ）第（   " + sheetNo + "  ）号", fontChi_nl_14);
                    prh3.setAlignment(0);
                    prh3.setSpacingAfter(8.0f);
                    document.add(prh3);
                    Paragraph prh4 = new Paragraph("");
                    prh4.setAlignment(0);
                    prh4.setSpacingAfter(8.0f);
                    document.add(prh4);
                    String bankName = (String) kColl.getDataValue("financeName");
                    Paragraph prh5 = new Paragraph();
                    Chunk chunk = new Chunk(bankName, fontChi_bd_ul_14);
                    prh5.add(chunk);
                    Chunk chunk2 = new Chunk("、", fontChi_nl_14);
                    prh5.add(chunk2);
                    prh5.setSpacingAfter(8.0f);
                    document.add(prh5);
                    String baoxian = ((String) kColl.getDataValue("creGuaBranchId"));
                    Paragraph prh6 = new Paragraph();
                    Chunk chunk_name = new Chunk(baoxian, fontChi_bd_ul_14);
                    Chunk chunk3 = new Chunk("：", fontChi_nl_12);
                    prh6.add(chunk_name);
                    prh6.add(chunk3);
                    prh6.setSpacingAfter(8.0f);
                    document.add(prh6);
                    String ppName = (String) kColl.getDataValue("corName");
                    Paragraph prh7 = new Paragraph("");
                    prh7.add(new Chunk("          ", fontChi_nl_14));
                    prh7.add(new Chunk(ppName, fontChi_bd_ul_14));
                    prh7.add(new Chunk("（简称公司）已列入《苏州市金融支持企业自主创新行动计划》，并进入“综合金融服务平台”企业库。经核查，该公司", fontChi_nl_14));
                    prh7.add(new Chunk("“信保股权投资”授信额度已领用", fontChi_nl_14));
                    String tmNum = (String) kColl.getDataValue("pciUsedAmt");
                    prh7.add(new Chunk(tmNum, fontChi_bd_ul_14));
                    prh7.add(new Chunk("万元，剩余可领用授信额度为", fontChi_nl_14));
                    String tmNum2 = (String) kColl.getDataValue("pciUseAmt");
                    prh7.add(new Chunk(tmNum2, fontChi_bd_ul_14));
                    prh7.add(new Chunk("万元。", fontChi_nl_14));
                    prh7.add(new Chunk("本次贵行申请为该公司领用“信保股权投资”授信额度", fontChi_nl_14));
                    String tmNum3 = (String) kColl.getDataValue("groupCreditAmt");
                    prh7.add(new Chunk(tmNum3, fontChi_bd_ul_14));
                    prh7.add(new Chunk("万元，根据信保股权投资对单个企业的授信额度最高不超过人民币500万元的要求，本次领用后该客户授信额度未超过信保股权投资最高授信限额。", fontChi_nl_14));
                    document.add(prh7);
                    Paragraph prh8 = new Paragraph("          本 函自出具之日起三十日内有效。", fontChi_nl_14);
                    prh8.setAlignment(0);
                    prh8.setSpacingAfter(160.0f);
                    document.add(prh8);
                    Paragraph prh9 = new Paragraph("苏州市信用再担保有限公司", fontChi_nl_14);
                    prh9.setAlignment(2);
                    prh9.setSpacingAfter(8.0f);
                    document.add(prh9);
                    Paragraph prh10 = new Paragraph("    年        月       日", fontChi_nl_14);
                    prh10.setAlignment(2);
                    prh10.setSpacingAfter(8.0f);
                    document.add(prh10);
                    document.close();
                    pdfw.flush();
                    pdfw.close();
                    document.close();
                    if (pdfw != null) {
                        pdfw.flush();
                        pdfw.close();
                    }
                } catch (DocumentException e) {
                    Trace.log("LifeFile", "承保项目备案文件创建失败");
                    e.printStackTrace();
                    document.close();
                    if (pdfw != null) {
                        pdfw.flush();
                        pdfw.close();
                    }
                }
            } catch (FileNotFoundException e2) {
                Trace.log("LifeFile", "文件" + destSrc + "未找到");
                e2.printStackTrace();
                document.close();
                if (pdfw != null) {
                    pdfw.flush();
                    pdfw.close();
                }
            } catch (IOException e3) {
                Trace.log("LifeFile", "文件" + destSrc + "I/O失败");
                e3.printStackTrace();
                document.close();
                if (pdfw != null) {
                    pdfw.flush();
                    pdfw.close();
                }
            }
            return destSrc;
        } catch (Throwable th) {
            document.close();
            if (pdfw != null) {
                pdfw.flush();
                pdfw.close();
            }
            throw th;
        }
    }

    public String createPDFWithChineseForCB(IndexedCollection iColl, String destSrc, String sheetNo, String year) throws Exception {
        new KeyedCollection();
        if (iColl.size() <= 0) {
            Trace.log("LifeFile", "承保项目备案表集合数据异常iColl.size() < 0");
            throw new Exception("承保项目备案表集合数据异常iColl.size() < 0");
        }
        KeyedCollection kColl = iColl.getElementAt(0);
        Document document = new Document(PageSize.A4, 80.0f, 80.0f, 60.0f, 10.0f);
        PdfWriter pdfw = null;
        try {
            try {
                try {
                    pdfw = PdfWriter.getInstance(document, new FileOutputStream(destSrc));
                    document.open();
                    BaseFont bfChi = BaseFont.createFont("STSong-Light", "UniGB-UCS2-H", false);
                    Font fontChi_nl_12 = new Font(bfChi, 12.0f, 0);
                    Font fontChi_nl_14 = new Font(bfChi, 14.0f, 0);
                    Font fontChi_bd = new Font(bfChi, 16.0f, 1);
                    Font fontChi_bd_12 = new Font(bfChi, 12.0f, 1);
                    Font fontChi_bd_ul_12 = new Font(bfChi, 12.0f, 4);
                    Paragraph prh = new Paragraph();
                    prh.setAlignment(0);
                    prh.setSpacingAfter(15.0f);
                    document.add(prh);
                    Paragraph prh2 = new Paragraph("承保项目备案表", fontChi_bd);
                    prh2.setAlignment(1);
                    prh2.setSpacingAfter(12.0f);
                    document.add(prh2);
                    String bankName = (String) kColl.getDataValue("financeName");
                    Paragraph prh3 = new Paragraph("          编号     " + bankName + "“信保贷”（   " + year + "   ）第（   " + sheetNo + "   ）号", fontChi_nl_12);
                    prh3.setAlignment(5);
                    prh3.setSpacingAfter(6.0f);
                    document.add(prh3);
                    Paragraph prh4 = new Paragraph("苏州市信用再担保有限公司：", fontChi_nl_14);
                    prh4.setAlignment(23);
                    prh4.setSpacingAfter(6.0f);
                    document.add(prh4);
                    Paragraph prh5 = new Paragraph("下述项目我行已落实放款条件并放款，现申请对其进行备案。", fontChi_nl_14);
                    prh5.setAlignment(0);
                    prh5.setSpacingAfter(6.0f);
                    document.add(prh5);
                    PdfPTable table = new PdfPTable(4);
                    float[] ffWith = {70.0f, 40.0f, 60.0f, 55.0f};
                    table.setTotalWidth(ffWith);
                    table.setSpacingAfter(15.0f);
                    table.setWidthPercentage(100.0f);
                    String corpName = (String) kColl.getDataValue("corName");
                    Paragraph paragraph = new Paragraph("贷款企业名称", fontChi_nl_12);
                    paragraph.setAlignment(0);
                    table.addCell(paragraph);
                    PdfPCell cell = new PdfPCell(new Paragraph(corpName, fontChi_bd_12));
                    cell.setColspan(3);
                    table.addCell(cell);
                    String baoXian = (String) kColl.getDataValue("creGuaBranchId");
                    Paragraph paragraph2 = new Paragraph("合作担保（保险）公司", fontChi_nl_12);
                    paragraph2.setAlignment(0);
                    table.addCell(paragraph2);
                    PdfPCell cell2 = new PdfPCell(new Paragraph(baoXian, fontChi_bd_12));
                    cell2.setColspan(3);
                    table.addCell(cell2);
                    String startd = (String) kColl.getDataValue("loaStartDate");
                    Paragraph paragraph3 = new Paragraph("贷款起始日", fontChi_nl_12);
                    paragraph3.setAlignment(0);
                    table.addCell(paragraph3);
                    Paragraph paragraph4 = new Paragraph(startd, fontChi_bd_12);
                    paragraph4.setAlignment(0);
                    table.addCell(paragraph4);
                    String endd = (String) kColl.getDataValue("loaEndDate");
                    Paragraph paragraph5 = new Paragraph("贷款到期日", fontChi_nl_12);
                    paragraph5.setAlignment(0);
                    table.addCell(paragraph5);
                    Paragraph paragraph6 = new Paragraph(endd, fontChi_bd_12);
                    paragraph6.setAlignment(0);
                    table.addCell(paragraph6);
                    String tom = (String) kColl.getDataValue("loaReditAmt");
                    Paragraph paragraph7 = new Paragraph("贷款金额（万元）", fontChi_nl_12);
                    paragraph7.setAlignment(0);
                    table.addCell(paragraph7);
                    Paragraph paragraph8 = new Paragraph(tom, fontChi_bd_12);
                    paragraph8.setAlignment(0);
                    table.addCell(paragraph8);
                    String shouxin = (String) kColl.getDataValue("loaReceiptNo");
                    Paragraph paragraph9 = new Paragraph("授信合同号", fontChi_nl_12);
                    paragraph9.setAlignment(0);
                    table.addCell(paragraph9);
                    Paragraph paragraph10 = new Paragraph(shouxin, fontChi_bd_12);
                    paragraph10.setAlignment(0);
                    table.addCell(paragraph10);
                    String htong = (String) kColl.getDataValue("loaditNo");
                    Paragraph paragraph11 = new Paragraph("借款/承兑合同号", fontChi_nl_12);
                    paragraph11.setAlignment(0);
                    table.addCell(paragraph11);
                    Paragraph paragraph12 = new Paragraph(htong, fontChi_bd_12);
                    paragraph12.setAlignment(0);
                    table.addCell(paragraph12);
                    String str = (String) kColl.getDataValue("guaPolicynum");
                    String hetong2 = str;
                    if (str == null || "".equals(hetong2)) {
                        hetong2 = "";
                    }
                    Paragraph paragraph13 = new Paragraph("保证合同号/保单号", fontChi_nl_12);
                    paragraph13.setAlignment(0);
                    table.addCell(paragraph13);
                    Paragraph paragraph14 = new Paragraph(hetong2, fontChi_bd_12);
                    paragraph14.setAlignment(0);
                    table.addCell(paragraph14);
                    document.add(table);
                    Paragraph paragraph15 = new Paragraph("备案人承诺：", fontChi_nl_12);
                    paragraph15.setAlignment(0);
                    paragraph15.setSpacingAfter(24.0f);
                    document.add(paragraph15);
                    Paragraph paragraph16 = new Paragraph("1、我行填报的上述材料真实、准确、合法。", fontChi_nl_12);
                    paragraph16.setAlignment(0);
                    paragraph16.setSpacingAfter(24.0f);
                    document.add(paragraph16);
                    Paragraph paragraph17 = new Paragraph("2、根据《企业自主创新信用保证股权投资信贷业务银担专项合作协议》，业务类型为信保股权投资业务。", fontChi_nl_12);
                    paragraph17.setAlignment(0);
                    paragraph17.setSpacingAfter(24.0f);
                    document.add(paragraph17);
                    String bankName2 = (String) kColl.getDataValue("financeName");
                    Paragraph paragraph18 = new Paragraph();
                    Chunk chunk_unl = new Chunk(bankName2, fontChi_bd_ul_12);
                    Chunk chunk = new Chunk(" ", fontChi_nl_12);
                    paragraph18.add(chunk_unl);
                    paragraph18.add(chunk);
                    paragraph18.setAlignment(2);
                    paragraph18.setSpacingAfter(6.0f);
                    document.add(paragraph18);
                    String jingbanren = (String) kColl.getDataValue("creDealUser");
                    Paragraph paragraph19 = new Paragraph("经办人：".concat(String.valueOf(jingbanren)), fontChi_nl_12);
                    paragraph19.setAlignment(2);
                    paragraph19.setSpacingAfter(6.0f);
                    document.add(paragraph19);
                    Paragraph paragraph20 = new Paragraph("日期：   年      月        日", fontChi_nl_12);
                    paragraph20.setAlignment(2);
                    paragraph20.setSpacingAfter(60.0f);
                    document.add(paragraph20);
                    Paragraph paragraph21 = new Paragraph("---------------------------------------------------------------------------------------", fontChi_nl_12);
                    paragraph21.setAlignment(0);
                    paragraph21.setSpacingAfter(6.0f);
                    document.add(paragraph21);
                    Paragraph paragraph22 = new Paragraph("承保项目备案表回执", fontChi_bd);
                    paragraph22.setAlignment(1);
                    paragraph22.setSpacingBefore(9.0f);
                    paragraph22.setSpacingAfter(6.0f);
                    document.add(paragraph22);
                    String bankName3 = (String) kColl.getDataValue("financeName");
                    Paragraph paragraph23 = new Paragraph("致                   " + bankName3 + "：", fontChi_nl_14);
                    paragraph23.setAlignment(0);
                    paragraph23.setSpacingAfter(6.0f);
                    document.add(paragraph23);
                    Paragraph paragraph24 = new Paragraph("我司已收到贵行签发的编号为：           " + bankName + "“信保贷”（   " + year + "   ）第（   " + sheetNo + "   ）号 的   《承保项目备案表》。", fontChi_nl_14);
                    paragraph24.setAlignment(0);
                    paragraph24.setSpacingAfter(6.0f);
                    document.add(paragraph24);
                    Paragraph paragraph25 = new Paragraph("苏州市信用再担保有限公司", fontChi_nl_14);
                    paragraph25.setAlignment(2);
                    paragraph25.setSpacingAfter(6.0f);
                    document.add(paragraph25);
                    Paragraph paragraph26 = new Paragraph(" 收件人：                                 ", fontChi_nl_14);
                    paragraph26.setAlignment(2);
                    paragraph26.setSpacingAfter(6.0f);
                    document.add(paragraph26);
                    Paragraph paragraph27 = new Paragraph("日     期：          年    月    日", fontChi_nl_14);
                    paragraph27.setAlignment(2);
                    paragraph27.setSpacingAfter(6.0f);
                    document.add(paragraph27);
                    document.close();
                    pdfw.flush();
                    pdfw.close();
                    document.close();
                    if (pdfw != null) {
                        pdfw.flush();
                        pdfw.close();
                    }
                } catch (IOException e) {
                    Trace.log("LifeFile", "文件" + destSrc + "I/O失败");
                    e.printStackTrace();
                    document.close();
                    if (pdfw != null) {
                        pdfw.flush();
                        pdfw.close();
                    }
                }
            } catch (FileNotFoundException e2) {
                Trace.log("LifeFile", "文件" + destSrc + "未找到");
                e2.printStackTrace();
                document.close();
                if (pdfw != null) {
                    pdfw.flush();
                    pdfw.close();
                }
            } catch (DocumentException e3) {
                Trace.log("LifeFile", "承保项目备案文件创建失败");
                e3.printStackTrace();
                document.close();
                if (pdfw != null) {
                    pdfw.flush();
                    pdfw.close();
                }
            }
            return destSrc;
        } catch (Throwable th) {
            document.close();
            if (pdfw != null) {
                pdfw.flush();
                pdfw.close();
            }
            throw th;
        }
    }

    public void setDestSrcFiled(String destSrcFiled) {
        this.destSrcFiled = destSrcFiled;
    }

    public void setPdfType(String pdfType) {
        this.pdfType = pdfType;
    }

    public void setDownloadFilePath(String downloadFilePath) {
        this.downloadFilePath = downloadFilePath;
    }

    public void setPdfDataList(String pdfDataList) {
        this.pdfDataList = pdfDataList;
    }

    public void setDownloadSheetNo(String downloadSheetNo) {
        this.downloadSheetNo = downloadSheetNo;
    }
}
